freeslot(
 "sfx_liaode"
 )

addHook("MobjThinker",function(lati)
    if not (lati and lati.valid) then return end
    
    local latao = lati.target
    if not (latao and latao.valid) then return end
    
    if latao.skin == "latias" or latao.skin == "latios"
        lati.sprite = 0
        
        if lati.state == S_KART_LEFTOVER_NOTIRES
            lati.state = 0 //removes kart and collision, also some sfx and vfx tho
        
        if not S_SoundPlaying(latao, sfx_liaode) then
        S_StartSound(latao, sfx_liaode) //adds super effective sfx on death        
            end
        end
    end
end, MT_KART_LEFTOVER)

local laticheck = {
    [SPR_DIEE] = SPR_FWRK,
    [SPR_DIEA] = SPR_FWRK,
    [SPR_DIEC] = SPR_FWRK,
    [SPR_DIEG] = SPR_FWRK,
    [SPR_DIED] = SPR_FWRK,
    [SPR_DIEB] = SPR_NULL,
    [SPR_DIEI] = SPR_NULL,
    [SPR_DIEJ] = SPR_NULL,
    [SPR_DIEK] = SPR_NULL,
    [SPR_DIEH] = SPR_NULL,
} //replaces some particles with funy lil stars

addHook("MobjThinker",function(lati)
    if not (lati and lati.valid) then return end
    
    if laticheck[lati.sprite] == nil
        return
    end
    
    if not lati.dieded
        for p in players.iterate
            local tezo = p.mo
            
            if not (tezo and tezo.valid)
            or (p.spectator)
            or (tezo.skin ~= "latias") and (tezo.skin ~= "latios")
			or (tezo.health)
                continue
            end
			
			local hdist = R_PointToDist2(lati.x,lati.y,tezo.x,tezo.y)
			local dist = R_PointToDist2(0,lati.z,hdist,tezo.z)
			
			if dist > 25*FU
				continue
			end
                    
            lati.sprite = laticheck[lati.sprite]
            lati.dieded = true
        end
    end
    lati.dieded = true
end,MT_KART_PARTICLE)